function init(hero) {
    hero.setName("War Woman");
	hero.setVersion("Serie");
    hero.setTier(6);
	
    hero.setHelmet("War Helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
	hero.setPrimaryEquipment("fiskheroes:ruptures_scythe");
    
    hero.addPowers("vhp:superhuman_warrior");
    hero.addAttribute("PUNCH_DAMAGE", 8.0, 0);
	hero.addAttribute("WEAPON_DAMAGE", 4.0, 0);
    hero.addAttribute("SPRINT_SPEED", 0.30, 1);
	hero.addAttribute("STEP_HEIGHT", 0.5, 0);
	hero.addAttribute("JUMP_HEIGHT", 3.0, 0);
	hero.addAttribute("FALL_RESISTANCE", 10.0, 0);
	hero.addAttribute("IMPACT_DAMAGE", 0.20, 1);

    hero.addKeyBind("GROUND_SMASH", "key.groundSmash", 1);
	hero.addKeyBind("EARTHQUAKE", "Warrior's Tremor", 2);
	hero.addKeyBind("CHARGED_PUNCH", "Hand-To-Hand Combat", 3);
	
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.supplyFunction("canGroundSmash", isHoldingScythe);
	hero.addAttributeProfile("PUNCH", punchProfile);
    hero.addAttributeProfile("BLUNT", bluntProfile);
    hero.setAttributeProfile(getAttributeProfile);
}

function isKeyBindEnabled(entity, keyBind) {
    return keyBind != "GROUND_SMASH" || isHoldingScythe(entity);
}

function punchProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 9.5, 0);
    profile.addAttribute("KNOCKBACK", 4.0, 0);
}

function bluntProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 8.0, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:punchmode") ? "PUNCH" : "BLUNT";
}

function isHoldingScythe(entity) {
    return entity.getHeldItem().name() == "fiskheroes:ruptures_scythe";
}